Bug 853666 - Can't enable network time from anaconda (date & time spoke)
Can't enable network time from anaconda (date & time spoke)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
:
Depends On: 846303
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-01 20:04 EDT by Volker Sobek
Modified: 2012-11-22 20:23 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-22 20:23:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Volker Sobek 2012-09-01 20:04:40 EDT
Description of problem:

When running anaconda from Fedora-18-Alpha-TC5-x86_64-DVD.iso I can not enable network time with the switch in the date & time spoke.

The error messages I see in the program-log tty are a chronyd.service status telling me that chronyd.service is loaded but disabled and inactive (dead).

The other message is:

Failed to issue method call: Unit systemd-timedated-ntp.target failed to load: No such file or directory. ...

I can successfully run
# systemctl start systemd-timedated
after which systemctl status shows that it's active (running), but I don't know if that is what anaconda is supposed to do.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from Fedora-18-Alpha-TC5-x86_64-DVD.iso
2. Start installation, select English language
3. Go to Date & Time spoke and click on the Network Time switch
  
Actual results:
Nothing happens, the switch stays off

Expected results:
The switch should start some kind of network time service

Additional info:
I have no idea if that's an anaconda issue, as I'm lost in the chaos about chronyd/ntp/systemd-timedated and systemd; there are various bugs around. I'm just filing this one for the sake of the Fedora 18 alpha TC5.
Comment 1 Volker Sobek 2012-09-02 06:41:52 EDT
Anaconda starts chronyd.service which fails because it is bound to systemd-timedated-ntp.target, which was removed from systemd [0].

Is  systemd-timedated.service [1] the new thing to use (instead of chronyd.service)?

[0] http://cgit.freedesktop.org/systemd/systemd/commit/?id=ac7019f33f1618f5b69ed44a8623e2596f1e3856
[1] http://www.freedesktop.org/wiki/Software/systemd/timedated
Comment 2 Vratislav Podzimek 2012-09-05 08:56:38 EDT
Lennart, could you please share some information about what's going on here? Should anaconda use systemd-timedated instead of chronyd? If yes, what configuration files systemd-timedated uses?
Comment 3 Robert Lightfoot 2012-09-12 19:54:46 EDT
This issue is still present in Alpha-RC2-i386
Comment 4 Lennart Poettering 2012-09-13 14:53:47 EDT
Enabling chronyd.service manually or via timedated should be equivalent. timedated simply enables the first service it finds that is listed in /usr/lib/systemd/ntp-units.d/*.list. 

NTP has been updated correctly, but chronyd misses the file. WHich is probably my fault, because I forgot to ping the chrony maintainer about it. Will file a bug now.
Comment 5 Lennart Poettering 2012-09-13 15:00:57 EDT
(In reply to comment #4)
> NTP has been updated correctly, but chronyd misses the file. WHich is
> probably my fault, because I forgot to ping the chrony maintainer about it.
> Will file a bug now.

Filed a bug about this now to get this corrected:

https://bugzilla.redhat.com/show_bug.cgi?id=857199
Comment 6 Vratislav Podzimek 2012-09-17 06:51:23 EDT
I have just tested the chrony-1.27-0.5.pre1.git1ca844.fc18 build and everything works as expected. We just have to wait for some post-alpha compose.
Comment 7 Adam Williamson 2012-11-22 20:23:13 EST
This bug looks to have been fixed for many anaconda builds now but missed being closed. If you find you are still experiencing it with Fedora 18 Beta (RC1) or later, please re-open the bug.

(ref comment #6)

Note You need to log in before you can comment on or make changes to this bug.